### Method

# Ide DebuggerBreakpoint set_function

#### Declaration

    void
    ide_debugger_breakpoint_set_function (
      IdeDebuggerBreakpoint* self,
      const gchar* function
    )

#### Description

Sets the “function” property, which is a user-readable value representing the name of the function.

Available since: | 3.32

Sets property | `Ide.DebuggerBreakpoint:function`

#### Parameters

`function` | `const gchar*`
| The name of the function, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.